<template name="eventsManager">
  <h2>Gestion des événements</h2>
  <p>
    {{> tabular table=TabularTables.Events class="table table-striped table-bordered table-condensed"}}
    <a href="{{ pathFor 'eventsManagerAdd' }}"><i class="fa fa-plus"></i> Ajouter un évènement</a><br>
    <a href="#" data-action="export"><i class="fa fa-table"></i> Exporter (CSV)</a>
  </p>
</template>

<template name="eventsManagerAdd">
  <h2>Ajout d'un événement</h2>
  {{#autoForm collection=eventsCollection id="insertEvents" type="insert"}}
    {{> afQuickField name='title'}}
    {{> afQuickField name='description'}}
    {{> afQuickField name='price'}}
    {{> afQuickField name='paymentCommunication'}}
    {{> afQuickField name='quota'}}
    {{> afQuickField name='startsAt'}}
    {{> afQuickField name='endsAt'}}
    <button type="submit" class="btn btn-primary">Ajouter</button>
  {{/autoForm}}
</template>

<template name="eventsManagerUpdate">
  <h2>Modification d'un événements</h2>
  {{#autoForm collection=eventsCollection doc=event id="updateEvents" type="update"}}
    {{> afQuickField name='title'}}
    {{> afQuickField name='description'}}
    {{> afQuickField name='price'}}
    {{> afQuickField name='paymentCommunication'}}
    {{> afQuickField name='quota'}}
    {{> afQuickField name='startsAt'}}
    {{> afQuickField name='endsAt'}}
    <button type="submit" class="btn btn-primary">Mettre à jour</button>
  {{/autoForm}}
</template>

<template name="eventsManagerDetail">
  <h2>Détail de l'événement</h2>
  <h3>{{ event.title }}</h3>
  {{{ formatParagraphs event.description }}}
  <p>Prix par enfant : <b>{{ formatPrice event.price }}</b></p>
  <p>Communication structurée : <b>{{ event.paymentCommunication }}</b></p>
  <p>Nombre maximum de participants : <b>{{ event.quota }}</b></p>
  <p>Cet événement se déroule du <b>{{ formatDate event.startsAt }}</b> au <b>{{ formatDate event.endsAt }}</b></p>
</template>
